---- Upload Files to Dropbox --------------------
declare @gKey uniqueidentifier, @jKey uniqueidentifier

set @gKey = NEWID()
set @jKey = NEWID()

insert EVENT_MASTER(gKey, Str1) values (@gKey, 'Upload Files to Dropbox')
insert OUT_FILE (gKey, jKey, [Path], Mode) values (@gKey, @jKey, 'dropbox:Sales', 1) -- Mode 1 = create new or replace existing file
insert EVENT_CONTENT (gKey, jKey, Src_Type, Path, Name) values (@gKey, @jKey, 1, '\\localhost\Letter.docx', 'Letter')

update EVENT_MASTER set Status = 0 where gKey = @gKey

---- Upload Files to Dropbox --------------------



---- SSRS report --------------------
declare @gKey uniqueidentifier, @jKey uniqueidentifier

set @gKey = NEWID()
set @jKey = NEWID()

insert EVENT_MASTER(gKey, Str1) values (@gKey, 'Upload Files to Dropbox')
insert OUT_FILE (gKey, jKey, [Path], Mode) values (@gKey, @jKey, 'dropbox:Sales', 1) -- Mode 1 = create new or replace existing file
insert EVENT_CONTENT (gKey, jKey, Src_Type, Path, Name) values (@gKey, @jKey, 1, '\\localhost\Letter.docx', 'Letter')
insert EVENT_CONTENT (gKey, jKey, Src_Type, Path, Format, Name) values (@gKey, @jKey, 2, 'Boomerang_Demo/Sales_Trend', 'PDF', 'Sales_Trend')

update EVENT_MASTER set Status = 0 where gKey = @gKey

---- SSRS report --------------------


---- Upload Files to Dropbox --------------------
declare @gKey uniqueidentifier, @jKey uniqueidentifier

set @gKey = NEWID()
set @jKey = NEWID()

insert EVENT_MASTER(gKey, Str1) values (@gKey, 'Upload Files to Dropbox')
insert OUT_FILE (gKey, jKey, [Path], Mode) values (@gKey, @jKey, 'Sales', 1) -- Mode 1 = create new or replace existing file
insert EVENT_CONTENT (gKey, jKey, Src_Type, Path, Name) values (@gKey, @jKey, 1, '\\localhost\Letter.docx', 'Letter')
insert EVENT_CONTENT (gKey, jKey, Src_Type, Path, Format, Name) values (@gKey, @jKey, 2, 'Boomerang_Demo/Sales_Trend', 'PDF', 'Sales_Trend')
insert EVENT_CONTENT (gKey, jKey, Src_Type, Stream, Name) select @gKey, @jKey, 0, LargePhoto, 'bike.gif' from AdventureWorks.Production.ProductPhoto where ProductPhotoID = 73

update EVENT_MASTER set Status = 0 where gKey = @gKey
---- Upload Files to Dropbox --------------------



--- Email In - Dropbox Upload (File Out) ----------------------
ALTER procedure [dbo].[sp_On_Email_In]
(
@rKey uniqueidentifier
)
as 
begin
set nocount on 

declare @EmailFrom varchar(255), @gKey uniqueidentifier, @jKey uniqueidentifier

---- Check if email attachments should be uploaded to dropbox ----------------
select @EmailFrom = From_Email from IN_EMAIL where rKey = @rKey and Subject like '%dropbox%'
if @@ROWCOUNT = 1 

set xact_abort on
begin
	----- get email attachments and insert into temp table ---------------------------------
	select iec.Data as EmailAttachments, iec.Name as [FileName], ie.From_Email as EmailFrom
	into #tmp_email_in
	from IN_EMAIL ie 
	inner join IN_EMAIL_CONTENT iec on iec.rKey = ie.rKey 
	where ie.rKey = @rKey

	---- set key's for outgoing event -----------------------------------
	set @gKey = NEWID()
	set @jKey = NEWID()	 

	------ Upload email attachments to Dropbox account -------------------------------------
	insert EVENT_MASTER(gKey, Str1, Str2) values (@gKey, 'Upload Files to Dropbox from Email In Service', @EmailFrom)
	insert OUT_FILE (gKey, jKey, [Path], Mode) values (@gKey, @jKey, 'dropbox:Email Uploads', 1)
	insert EVENT_CONTENT (gKey, jKey, Src_Type, Stream, Name) select  @gKey, @jKey, 0, EmailAttachments, [FileName] from #tmp_email_in
	update EVENT_MASTER set Status = 0 where gKey = @gKey

end

return 0

end

--- Email In - Dropbox Upload (File Out) ----------------------